<? 

	include("config.php");
	
	$tag = isset($_GET['tag'])?htmlentities($_GET['tag']):DEFAULT_TAG;
	$page = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page'] >= 0)?$_GET['page']:1;
	$op = (isset($_GET['op']) && is_numeric($_GET['op']))?$_GET['op']:0;
	
	include('factory.php'); 
	include('header.php'); 
	include('services.php'); 

?>

	<div id="left">
		<?include('menu.php');?>
	</div>

	<div id="right">
		<?include('pagination.php');?>
	    
		<?=$service->view($tag)?>
		
		<?include('pagination.php');?>
	</div>	<!-- right -->


<? include("footer.php"); ?>